Bug 68027 - FORMATTING: Cropping pictures if you are quick the crop can be stretched
Summary: FORMATTING: Cropping pictures if you are quick the crop can be stretched
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5 all versions
Hardware: All All
: lowest minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Images
  Show dependency treegraph
 
Reported: 2013-08-12 14:42 UTC by Gregor
Modified: 2019-06-08 20:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor 2013-08-12 14:42:49 UTC
Problem description: Cropping a picture sometimes gives a image that is stretched.

Steps to reproduce:
1. select an image that has been inserted into a Writer document
2. right click to bring up the context menu
3. press <p> (Picture) 
4. Press <Enter> to bring up the tabbed dialog choose "Crop"
Ascertain that the "Keep Scale" radio button is activated
 In rather rapid succession (or on a slow computer): 
5. Press <Alt+t> (Top)
6. Enter "1.8 "
7. Press <Enter> (this should be accomplished before the default units have been input by the application)


Expected behavior: the image is cropped 1.8 (default units) from the top and the proportions of the remaining image have changed accordingly.

What happens: The contents of the remaining portion of the image have been stretched to fill the previous boundaries of the picture.
              
Operating System: Ubuntu
Version: 3.5 all versions
Comment 1 Joel Madero 2014-06-25 05:41:26 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.3.0.0.alpha0
Date:   Mon Jun 23 15:40:45 2014 +0200
Platform :Ubuntu 14.04
DE: GNOME3

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Minor - you really have to be moving pretty quick to see this. Also won't prevent high quality work, just slows it down a bit because you'd have to undo and fiddle to figure out what's going on.
Lowest - like I said, really hard to reproduce, you have to move real quick and no other user has reported a similar problem in nearly a year (or before you reported)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 QA Administrators 2015-07-18 17:42:48 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-10-16 19:52:16 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 4 QA Administrators 2016-11-08 11:12:15 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108